<?php

namespace Civi\Mailinglistsync\Exceptions;

/**
 * A simple custom error indicating a problem with the validation of the
 * BaseMailingList and its subclasses.
 */
class MailinglistException extends BaseException {

  public const ERROR_CODE_PERMISSION_DENIED = 'permission_denied';
  public const ERROR_CODE_CREATE_EMAIL_ADDRESS_FAILED = 'create_email_address_failed';
  public const ERROR_CODE_UPDATE_EMAIL_ADDRESS_FAILED = 'update_email_address_failed';
  public const ERROR_CODE_DELETE_EMAIL_ADDRESS_FAILED = 'delete_email_address_failed';
  public const ERROR_CODE_GET_RECIPIENTS_FAILED = 'get_recipients_failed';
  public const ERROR_CODE_GET_LOCATION_TYPES_FAILED = 'get_location_types_failed';
  public const ERROR_CODE_INVALID_CLASS = 'invalid_class';
  public const ERROR_CODE_INVALID_EMAIL_ADDRESS = 'invalid_email_address';
  public const ERROR_CODE_EMAIL_DOMAIN_MISMATCH = 'email_domain_mismatch';
  public const ERROR_CODE_GET_GROUP_MAILING_LISTS_FAILED = 'get_group_mailing_lists_failed';
  public const ERROR_CODE_GET_AD_GROUP_MAILING_LISTS_FAILED = 'get_group_mailing_lists_failed';
  public const ERROR_CODE_GET_EVENT_MAILING_LISTS_FAILED = 'get_event_mailing_lists_failed';
  public const ERROR_CODE_GET_CONTACT_FAILED = 'get_contact_failed';
  public const ERROR_CODE_CREATE_CONTACT_FAILED = 'create_contact_failed';
  public const ERROR_CODE_MULTIPLE_CONTACTS_FOUND = 'multiple_contacts_found';
  public const ERROR_CODE_INVALID_LOCATION_TYPE = 'invalid_location_type';
  public const ERROR_CODE_GROUP_CREATION_FAILED = 'group_creation_failed';
  public const ERROR_CODE_UPDATE_ENTITY_FAILED = 'update_entity_failed';
  public const ERROR_CODE_MULTIPLE_RECIPIENTS = 'multiple_recipients';
  public const ERROR_CODE_GET_EMAIL_LOCATION_TYPES_FAILED = 'get_email_location_types_failed';
  public const ERROR_CODE_ADD_CONTACT_TO_GROUP_FAILED = 'add_contact_to_group_failed';
  public const ERROR_CODE_REMOVE_CONTACT_FROM_GROUP_FAILED = 'remove_contact_from_group_failed';
  public const ERROR_CODE_GET_CONTACT_BY_SID_FAILED = 'get_contact_by_sid_failed';
  public const ERROR_CODE_CREATE_ACTIVITY_FAILED = 'create_activity_failed';
  public const ERROR_CODE_GET_USER_ID_FAILED = 'get_user_id_failed';
  public const ERROR_CODE_UNSERIALIZE_SINGLETON = 'unserialize_singleton';
  public const ERROR_CODE_MAILINGLIST_DOES_NOT_EXIST = 'mailinglist_does_not_exist';
  public const ERROR_CODE_GET_MAILINGLIST_FAILED = 'get_mailinglist_failed';
  public const ERROR_CODE_DOVECOT_CREATE_EMAIL_ADDRESS_FAILED = 'dovecot_create_email_address_failed';
  public const ERROR_CODE_CREATE_MAILING_LIST_FAILED = 'create_mailing_list_failed';
  public const ERROR_CODE_UPDATE_MAILING_LIST_FAILED = 'update_mailing_list_failed';
  public const ERROR_CODE_UPDATE_SUBSCRIBERS_FAILED = 'update_subscribers_failed';
  public const ERROR_CODE_DELETE_MAILING_LIST_FAILED = 'delete_mailing_list_failed';
}

