<?php
use CRM_Mailinglistsync_ExtensionUtil as E;
return [
  [
    'name' => 'CustomGroup_Active_Directory',
    'entity' => 'CustomGroup',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Active_Directory',
        'title' => E::ts('Active Directory'),
        'style' => 'Inline',
        'collapse_display' => TRUE,
        'help_pre' => E::ts(''),
        'help_post' => E::ts(''),
        'weight' => 6,
        'collapse_adv_display' => TRUE,
        'created_date' => '2025-02-26 16:23:27',
        'is_public' => FALSE,
        'icon' => '',
      ],
      'match' => ['name'],
    ],
  ],
  [
    'name' => 'CustomGroup_Active_Directory_CustomField_SID',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Active_Directory',
        'name' => 'SID',
        'label' => E::ts('Active Directory SID'),
        'html_type' => 'Text',
        'is_searchable' => TRUE,
        'help_post' => E::ts('The SID of this contact in the Active Directory.'),
        'is_view' => TRUE,
        'text_length' => 50,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'sid_42',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
];
