<?php
use CRM_Mailinglistsync_ExtensionUtil as E;
return [
  [
    'name' => 'CustomGroup_Group_Mailing_List',
    'entity' => 'CustomGroup',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'Group_Mailing_List',
        'title' => E::ts('Group Mailing List'),
        'extends' => 'Group',
        'style' => 'Inline',
        'collapse_display' => TRUE,
        'help_pre' => E::ts('These fields can be used to set up the group\'s behaviour as a mailing list.'),
        'help_post' => E::ts(''),
        'weight' => 5,
        'collapse_adv_display' => TRUE,
        'created_date' => '2025-02-10 12:56:55',
        'icon' => '',
      ],
      'match' => ['name'],
    ],
  ],
  [
    'name' => 'CustomGroup_Group_Mailing_List_CustomField_Enable_mailing_list',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Group_Mailing_List',
        'name' => 'Enable_mailing_list',
        'label' => E::ts('Enable mailing list'),
        'data_type' => 'Boolean',
        'html_type' => 'Radio',
        'default_value' => '0',
        'is_searchable' => TRUE,
        'help_post' => E::ts('Enable the creation of a mailing list for this group.'),
        'text_length' => 255,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'enable_mailing_list_31',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Group_Mailing_List_CustomField_E_mail_address',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Group_Mailing_List',
        'name' => 'E_mail_address',
        'label' => E::ts('E-mail address'),
        'html_type' => 'Text',
        'help_post' => E::ts('The complete e-mail address of the mailing list.'),
        'text_length' => 255,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'e_mail_address_10',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Group_Mailing_List_CustomField_Active_Directory_SID',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Group_Mailing_List',
        'name' => 'Active_Directory_SID',
        'label' => E::ts('Active Directory SID'),
        'html_type' => 'Text',
        'help_post' => E::ts('The SID of the group in the Active Directory.'),
        'is_view' => TRUE,
        'text_length' => 50,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'active_directory_SID_11',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Group_Mailing_List_CustomField_Can_be_reached_externally',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Group_Mailing_List',
        'name' => 'Can_be_reached_externally',
        'label' => E::ts('Can be reached externally'),
        'data_type' => 'Boolean',
        'html_type' => 'Radio',
        'default_value' => '0',
        'help_post' => E::ts('Should this mailing list also be open to senders who are not included in it?'),
        'text_length' => 255,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'can_be_reached_externally_12',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
  [
    'name' => 'CustomGroup_Group_Mailing_List_CustomField_Subject_prefix',
    'entity' => 'CustomField',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'custom_group_id.name' => 'Group_Mailing_List',
        'name' => 'Subject_prefix',
        'label' => E::ts('Subject prefix'),
        'html_type' => 'Text',
        'help_post' => E::ts('The subject of every email sent to this mailing list is prefixed with this.'),
        'text_length' => 255,
        'note_columns' => 60,
        'note_rows' => 4,
        'column_name' => 'subject_prefix_13',
        'is_active' => TRUE,
      ],
      'match' => [
        'name',
        'custom_group_id',
      ],
    ],
  ],
];
